%{!?__rmrf:%define __rmrf /bin/rm -rf}

Summary: Realtime network grep tool
Summary(ko): 실시간 네트워크 grep 도구
Name: ngrep
Version: 1.45
Release: 2
Epoch: 3
License: GPL
Requires: libpcap
BuildRequires: libpcap-devel
Group: Applications/Internet
URL: http://ngrep.sf.net/

%define static 0

Source: http://jaist.dl.sourceforge.net/sourceforge/ngrep/ngrep-%{version}.tar.bz2
Patch0:  ngrep-makeinstall.patch
Patch1:  ngrep-multibyte.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
ngrep is grep command that works on realtime network data.

ngrep strives to provide most of GNU grep's common features, applying
them to the network layer. ngrep is a pcap-aware tool that will allow
you to specify extended regular or hexadecimal expressions to match
against data payloads of packets. It currently recognizes TCP, UDP
and ICMP across Ethernet, PPP, SLIP, FDDI, Token Ring and null
interfaces, and understands bpf filter logic in the same fashion as
more common packet sniffing tools, such as tcpdump and snoop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

### FIXME: Let Makefile use standard autotools directories. (Please fix upstream)
%{__perl} -pi.orig -e '
		s|^(BINDIR).+$|$1=\$(bindir)|g;
		s|^(MANDIR).+$|$1=\$(mandir)/man8|g;
	' Makefile.in

#{?fc2:%{__perl} -pi.orig -e 's|net/bpf.h|pcap-bpf.h|' configure *.c *.h}
%{__perl} -pi.orig -e 's|net/bpf.h|pcap-bpf.h|' configure *.c *.h

%build
%configure \
	--with-pcap-includes=/usr/include \
	--enable-ipv6
%if %{static}
%{__make} %{?_smp_mflags} static
%else
%{__make} %{?_smp_mflags}
%endif

%install
%{__rmrf} %{buildroot}

%if %{static}
pushd $RPM_BUILD_DIR/%{name}-%{version} &> /dev/null
%{__rm} -f ngrep
%{__mv} ngrep.static ngrep
popd
%endif

%{__make} DESTDIR=%{buildroot} install

%clean
%{__rmrf} %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man?/*
%{_bindir}/*

%changelog
* Sun Sep  8 2013 JoungKyun.Kim <http://oops.org> 3:1.45-1%{?dist}
- add description of -m option on manual page and help message

* Sun Dec 25 2011 JoungKyun.Kim <http://oops.org> 3:1.45-1%{?dist}
- update 1.45

* Sat Dec  5 2009 JoungKyun.Kim <http://oops.org> 3:1.43-2
- add multibyte patch
  print hangul with -m option

* Tue May  3 2005 JoungKyun.Kim <http://oops.org> 2:1.43-1
- update 1.43
- build as static link with libpcap

* Wed Nov 16 2004 JoungKyun.Kim <http://oops.org> 1:1.42-1
- rebuilt

* Mon Mar 29 2004 Dag Wieers <dag@wieers.com> - 1.42-1
- Updated to release 1.42.

* Mon Aug 11 2003 Dag Wieers <dag@wieers.com> - 1.41-0
- Updated to release 1.41.

* Thu Jul 17 2003 Dag Wieers <dag@wieers.com> - 1.40.1-0
- Initial package. (using DAR)
